.fa,.fa-brands,.fa-duotone,.fa-light,.fa-regular,.fa-solid,.fa-thin,.fab,.fad,.fal,.far,.fas,.fat {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    display: var(--fa-display,inline-block);
    font-style: normal;
    font-variant: normal;
    line-height: 1;
    text-rendering: auto
}

.fa-1x {
    font-size: 1em
}

.fa-2x {
    font-size: 2em
}

.fa-3x {
    font-size: 3em
}

.fa-4x {
    font-size: 4em
}

.fa-5x {
    font-size: 5em
}

.fa-6x {
    font-size: 6em
}

.fa-7x {
    font-size: 7em
}

.fa-8x {
    font-size: 8em
}

.fa-9x {
    font-size: 9em
}

.fa-10x {
    font-size: 10em
}

.fa-2xs {
    font-size: .625em;
    line-height: .1em;
    vertical-align: .225em
}

.fa-xs {
    font-size: .75em;
    line-height: .08333em;
    vertical-align: .125em
}

.fa-sm {
    font-size: .875em;
    line-height: .07143em;
    vertical-align: .05357em
}

.fa-lg {
    font-size: 1.25em;
    line-height: .05em;
    vertical-align: -.075em
}

.fa-xl {
    font-size: 1.5em;
    line-height: .04167em;
    vertical-align: -.125em
}

.fa-2xl {
    font-size: 2em;
    line-height: .03125em;
    vertical-align: -.1875em
}

.fa-fw {
    text-align: center;
    width: 1.25em
}

.fa-ul {
    list-style-type: none;
    margin-left: 2.5em;
    margin-left: var(--fa-li-margin,2.5em);
    padding-left: 0
}

.fa-ul>li {
    position: relative
}

.fa-li {
    left: -2em;
    left: calc(var(--fa-li-width, 2em)*-1);
    position: absolute;
    text-align: center;
    width: 2em;
    width: var(--fa-li-width,2em);
    line-height: inherit
}

.fa-border {
    border-radius: .1em;
    border-radius: var(--fa-border-radius,.1em);
    border: .08em solid #eee;
    border: var(--fa-border-width,.08em) var(--fa-border-style,solid) var(--fa-border-color,#eee);
    padding: .2em .25em .15em;
    padding: var(--fa-border-padding,.2em .25em .15em)
}

.fa-pull-left {
    float: left;
    margin-right: .3em;
    margin-right: var(--fa-pull-margin,.3em)
}

.fa-pull-right {
    float: right;
    margin-left: .3em;
    margin-left: var(--fa-pull-margin,.3em)
}

.fa-beat {
    -webkit-animation-name: fa-beat;
    animation-name: fa-beat;
    -webkit-animation-delay: 0;
    animation-delay: 0;
    -webkit-animation-delay: var(--fa-animation-delay,0);
    animation-delay: var(--fa-animation-delay,0);
    -webkit-animation-direction: normal;
    animation-direction: normal;
    -webkit-animation-direction: var(--fa-animation-direction,normal);
    animation-direction: var(--fa-animation-direction,normal);
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-duration: var(--fa-animation-duration,1s);
    animation-duration: var(--fa-animation-duration,1s);
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    -webkit-animation-timing-function: ease-in-out;
    animation-timing-function: ease-in-out;
    -webkit-animation-timing-function: var(--fa-animation-timing,ease-in-out);
    animation-timing-function: var(--fa-animation-timing,ease-in-out)
}

.fa-fade {
    -webkit-animation-name: fa-fade;
    animation-name: fa-fade;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    -webkit-animation-timing-function: cubic-bezier(.4,0,.6,1);
    animation-timing-function: cubic-bezier(.4,0,.6,1);
    -webkit-animation-timing-function: var(--fa-animation-timing,cubic-bezier(.4,0,.6,1));
    animation-timing-function: var(--fa-animation-timing,cubic-bezier(.4,0,.6,1))
}

.fa-fade,.fa-flash {
    -webkit-animation-delay: 0;
    animation-delay: 0;
    -webkit-animation-delay: var(--fa-animation-delay,0);
    animation-delay: var(--fa-animation-delay,0);
    -webkit-animation-direction: normal;
    animation-direction: normal;
    -webkit-animation-direction: var(--fa-animation-direction,normal);
    animation-direction: var(--fa-animation-direction,normal);
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-duration: var(--fa-animation-duration,1s);
    animation-duration: var(--fa-animation-duration,1s)
}

.fa-flash {
    -webkit-animation-name: fa-flash;
    animation-name: fa-flash;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    -webkit-animation-timing-function: cubic-bezier(.4,0,.6,1);
    animation-timing-function: cubic-bezier(.4,0,.6,1);
    -webkit-animation-timing-function: var(--fa-animation-timing,cubic-bezier(.4,0,.6,1));
    animation-timing-function: var(--fa-animation-timing,cubic-bezier(.4,0,.6,1))
}

.fa-flip {
    -webkit-animation-name: fa-flip;
    animation-name: fa-flip;
    -webkit-animation-delay: 0;
    animation-delay: 0;
    -webkit-animation-delay: var(--fa-animation-delay,0);
    animation-delay: var(--fa-animation-delay,0);
    -webkit-animation-direction: normal;
    animation-direction: normal;
    -webkit-animation-direction: var(--fa-animation-direction,normal);
    animation-direction: var(--fa-animation-direction,normal);
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-duration: var(--fa-animation-duration,1s);
    animation-duration: var(--fa-animation-duration,1s);
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    -webkit-animation-timing-function: ease-in-out;
    animation-timing-function: ease-in-out;
    -webkit-animation-timing-function: var(--fa-animation-timing,ease-in-out);
    animation-timing-function: var(--fa-animation-timing,ease-in-out)
}

.fa-spin {
    -webkit-animation-name: fa-spin;
    animation-name: fa-spin;
    -webkit-animation-delay: 0;
    animation-delay: 0;
    -webkit-animation-delay: var(--fa-animation-delay,0);
    animation-delay: var(--fa-animation-delay,0);
    -webkit-animation-direction: normal;
    animation-direction: normal;
    -webkit-animation-direction: var(--fa-animation-direction,normal);
    animation-direction: var(--fa-animation-direction,normal);
    -webkit-animation-duration: 2s;
    animation-duration: 2s;
    -webkit-animation-duration: var(--fa-animation-duration,2s);
    animation-duration: var(--fa-animation-duration,2s);
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-timing-function: var(--fa-animation-timing,linear);
    animation-timing-function: var(--fa-animation-timing,linear)
}

.fa-spin-reverse {
    --fa-animation-direction: reverse
}

.fa-pulse,.fa-spin-pulse {
    -webkit-animation-name: fa-spin;
    animation-name: fa-spin;
    -webkit-animation-direction: normal;
    animation-direction: normal;
    -webkit-animation-direction: var(--fa-animation-direction,normal);
    animation-direction: var(--fa-animation-direction,normal);
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-duration: var(--fa-animation-duration,1s);
    animation-duration: var(--fa-animation-duration,1s);
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    animation-iteration-count: var(--fa-animation-iteration-count,infinite);
    -webkit-animation-timing-function: steps(8);
    animation-timing-function: steps(8);
    -webkit-animation-timing-function: var(--fa-animation-timing,steps(8));
    animation-timing-function: var(--fa-animation-timing,steps(8))
}

@media (prefers-reduced-motion:reduce) {
    .fa-beat,.fa-fade,.fa-flash,.fa-flip,.fa-pulse,.fa-spin,.fa-spin-pulse {
        -webkit-animation-delay: -1ms;
        animation-delay: -1ms;
        -webkit-animation-duration: 1ms;
        animation-duration: 1ms;
        -webkit-animation-iteration-count: 1;
        animation-iteration-count: 1;
        -webkit-transition-delay: 0s;
        transition-delay: 0s;
        -webkit-transition-duration: 0s;
        transition-duration: 0s
    }
}

@-webkit-keyframes fa-beat {
    0%,90% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }

    45% {
        -webkit-transform: scale(1.25);
        transform: scale(1.25);
        -webkit-transform: scale(var(--fa-beat-scale,1.25));
        transform: scale(var(--fa-beat-scale,1.25))
    }
}

@keyframes fa-beat {
    0%,90% {
        -webkit-transform: scale(1);
        transform: scale(1)
    }

    45% {
        -webkit-transform: scale(1.25);
        transform: scale(1.25);
        -webkit-transform: scale(var(--fa-beat-scale,1.25));
        transform: scale(var(--fa-beat-scale,1.25))
    }
}

@-webkit-keyframes fa-fade {
    50% {
        opacity: .4;
        opacity: var(--fa-fade-opacity,.4)
    }
}

@keyframes fa-fade {
    50% {
        opacity: .4;
        opacity: var(--fa-fade-opacity,.4)
    }
}

@-webkit-keyframes fa-flash {
    0%,to {
        opacity: .4;
        opacity: var(--fa-flash-opacity,.4);
        -webkit-transform: scale(1);
        transform: scale(1)
    }

    50% {
        opacity: 1;
        -webkit-transform: scale(1.125);
        transform: scale(1.125);
        -webkit-transform: scale(var(--fa-flash-scale,1.125));
        transform: scale(var(--fa-flash-scale,1.125))
    }
}

@keyframes fa-flash {
    0%,to {
        opacity: .4;
        opacity: var(--fa-flash-opacity,.4);
        -webkit-transform: scale(1);
        transform: scale(1)
    }

    50% {
        opacity: 1;
        -webkit-transform: scale(1.125);
        transform: scale(1.125);
        -webkit-transform: scale(var(--fa-flash-scale,1.125));
        transform: scale(var(--fa-flash-scale,1.125))
    }
}

@-webkit-keyframes fa-flip {
    50% {
        -webkit-transform: rotateY(-180deg);
        transform: rotateY(-180deg);
        -webkit-transform: rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg));
        transform: rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg))
    }
}

@keyframes fa-flip {
    50% {
        -webkit-transform: rotateY(-180deg);
        transform: rotateY(-180deg);
        -webkit-transform: rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg));
        transform: rotate3d(var(--fa-flip-x,0),var(--fa-flip-y,1),var(--fa-flip-z,0),var(--fa-flip-angle,-180deg))
    }
}

@-webkit-keyframes fa-spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg)
    }

    to {
        -webkit-transform: rotate(1turn);
        transform: rotate(1turn)
    }
}

@keyframes fa-spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg)
    }

    to {
        -webkit-transform: rotate(1turn);
        transform: rotate(1turn)
    }
}

.fa-rotate-90 {
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg)
}

.fa-rotate-180 {
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg)
}

.fa-rotate-270 {
    -webkit-transform: rotate(270deg);
    transform: rotate(270deg)
}

.fa-flip-horizontal {
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1)
}

.fa-flip-vertical {
    -webkit-transform: scaleY(-1);
    transform: scaleY(-1)
}

.fa-flip-both,.fa-flip-horizontal.fa-flip-vertical {
    -webkit-transform: scale(-1);
    transform: scale(-1)
}

.fa-rotate-by {
    -webkit-transform: rotate(none);
    transform: rotate(none);
    -webkit-transform: rotate(var(--fa-rotate-angle,none));
    transform: rotate(var(--fa-rotate-angle,none))
}

.fa-stack {
    display: inline-block;
    height: 2em;
    line-height: 2em;
    position: relative;
    vertical-align: middle;
    width: 2.5em
}

.fa-stack-1x,.fa-stack-2x {
    left: 0;
    position: absolute;
    text-align: center;
    width: 100%;
    z-index: auto;
    z-index: var(--fa-stack-z-index,auto)
}

.fa-stack-1x {
    line-height: inherit
}

.fa-stack-2x {
    font-size: 2em
}

.fa-inverse {
    color: #fff;
    color: var(--fa-inverse,#fff)
}

.fa-sr-only,.fa-sr-only-focusable:not(:focus),.sr-only,.sr-only-focusable:not(:focus) {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0,0,0,0);
    white-space: nowrap;
    border-width: 0
}